List Inventory by Item
Retrieves List of Inventory per item from the database.
Retrieve inventory data from Xorosoft ERP using the supported query filters. Use this endpoint to synchronize reference or transaction data with external systems while respecting private app permissions.
get
Authorizations
AuthorizationstringRequired
Query parameters
product_idnumberOptional
A comma-separated list of product ids.
item_idstringOptional
A comma-separated list of item ids.
base_part_numberstringOptional
A comma-separated list of base part numbers.
item_numberstringOptional
A comma-separated list of item numbers.
storestringOptional
A comma-separated list of stores.
min_on_handstringOptional
Show inventory greater than or equal to quantity.
max_on_handstringOptional
Show inventory less than or equal to quantity.
tagsstringOptional
Comma-separated tags used to filter matching records.
pagestringOptionalDefault:
Page number for paginated responses.
1account3pl_idstringOptional
3PL account identifier.
Responses
200
OK
application/json
IsForwardRequestbooleanOptional
MessagestringOptional
MessageTitlestring · nullableOptional
ResultbooleanOptional
get/api/xerp/inventory/getinventorybyitem
GET /api/xerp/inventory/getinventorybyitem HTTP/1.1
Host: res.xorosoft.io
Authorization: Basic username:password
Accept: */*
200
OK
{
"Data": [
{
"ATSQty": 9,
"ATSQtyIncPO": 9,
"AllocatedQty": 0,
"AvailableQty": 9,
"BasePartNumber": "BC",
"ItemDescription": "Battery Connector",
"ItemId": 30111,
"ItemNumber": "BC",
"NetAvailable": 9,
"NotAvailableQty": 0,
"OnHandQty": 9,
"ProductHeaderId": 4669,
"QtyOnASN": 0,
"QtyOnPO": 0,
"QtyOnPODraft": 0,
"QtyOnSO": 0,
"StoreId": 10002,
"StoreName": "Main Warehouse"
}
],
"IsForwardRequest": false,
"Message": "Inventory data loaded successfully",
"MessageTitle": null,
"Result": true
}Last updated
Was this helpful?